#if !defined(MAILBOX_H)
#define MAILBOX_H

struct Mail
{
	Mail();
	unsigned int iNumMail;
	bool bError;
};

class Mailbox
{
public:
	Mailbox(char* name, char* type, char* server, char* user, char* pass);
	~Mailbox();
	Mail CheckMail();
	int Pop3Check(const SOCKET& s);
	int ImapCheck(const SOCKET& s);
	void ClearMail();
	char sname[64];

private:
	void ErrorHandler(const int& errnum, const SOCKET& s);
	char* Encrypt(char* pass);

	char sType[64], sServer[128], sUser[64], sPass[64], sEvar[72], sSetting[72], sFolder[32];
	unsigned short iPort;
	Mail mail;
};

#endif // MAILBOX_H